Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000936Core InformModel worldpublic2012-06-22 10:302014-05-07 07:33
Reporterclimbingstars 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version6L02 
Summary0000936: Putting a fixed in place item on a supporter gives two messages, but putting in a container gives only one.
DescriptionWhile putting the lamp on the table correctly fails the prerequisite taking due to the lamp being fixed in place, it causes both "That's fixed in place." and "You need to be holding the lamp before you can put it on top of something else." to be printed. With a container, however, only the first message appears.
Minimal Source Text To Reproduce
"Test"

The Testing Room is A Room. The table is a supporter in the testing room. The box is a container in the 
testing room.  The lamp is in the testing room. The lamp is fixed in place.

Test me with "put lamp in box / put lamp on table".
Additional InformationThe message "You need to be holding the lamp before you can put it on top of something else." could easily mislead a player into thinking that the lamp can be taken.

The can't put what's not held rule appears to be the source of the problem.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0001702)
EmacsUser (manager)
2012-06-22 16:31
edited on: 2012-06-23 05:41

Edit: scratch that. I see now that you were pointing out an inconsistency between containers and supporters. Reopened and confirmed.

(0002346)
graham (administrator)
2014-01-24 01:02

The can't put what's not held rule is now silent, in line with the can't insert what's not held rule.

- Issue History
Date Modified Username Field Change
2012-06-22 10:30 climbingstars New Issue
2012-06-22 16:31 EmacsUser Note Added: 0001702
2012-06-22 16:31 EmacsUser Status new => closed
2012-06-22 16:31 EmacsUser Resolution open => no change required
2012-06-23 05:40 EmacsUser Severity mild => cosmetic
2012-06-23 05:40 EmacsUser Status closed => confirmed
2012-06-23 05:40 EmacsUser Resolution no change required => open
2012-06-23 05:40 EmacsUser Category Actions => Model world
2012-06-23 05:40 EmacsUser Summary Putting a fixed in place item on a supporter gives 2 messages. => Putting a fixed in place item on a supporter gives two messages, but putting in a container gives only one.
2012-06-23 05:40 EmacsUser Description Updated View Revisions
2012-06-23 05:40 EmacsUser Steps to Reproduce Updated View Revisions
2012-06-23 05:41 EmacsUser Note Edited: 0001702 View Revisions
2014-01-24 01:02 graham Note Added: 0002346
2014-01-24 01:02 graham Status confirmed => resolved
2014-01-24 01:02 graham Resolution open => fixed
2014-01-24 01:02 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker